GRPC C++ 0.10.0.0

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions | Friends
grpc::AsyncGenericService Class Reference

`#include <async_generic_service.h>`

## Public Member Functions
| AsyncGenericService (const grpc::string &methods)
void | RequestCall (GenericServerContext *ctx, GenericServerAsyncReaderWriter *reader_writer, CompletionQueue *call_cq, ServerCompletionQueue *notification_cq, void *tag)

## Friends
class | Server

## Constructor & Destructor Documentation

grpc::AsyncGenericService::AsyncGenericService | ( | const grpc::string & | methods | ) |
| inline

## Member Function Documentation

void grpc::AsyncGenericService::RequestCall | ( | GenericServerContext * | ctx,
|  | GenericServerAsyncReaderWriter * | reader_writer,
|  | CompletionQueue * | call_cq,
|  | ServerCompletionQueue * | notification_cq,
|  | void * | tag
| ) |  |

## Friends And Related Function Documentation

friend class Server
| friend

The documentation for this class was generated from the following files:

- include/grpc++/async_generic_service.h
- src/cpp/server/async_generic_service.cc